ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0019791ClearOSapp-openvpn - OpenVPNpublic2018-04-06 04:012018-12-14 12:10
ReporterNickH 
Assigned Totracker 
PrioritynormalSeverityfeatureReproducibilityalways
StatusassignedResolutionfixed 
PlatformOSOS Version
Product Version7.4.0 
Target Version8.0.0 Beta 1Fixed in Version8.0.0 Beta 1 
Summary0019791: Add "float" to the .ovpn file
DescriptionIn a MultiWAN environment, if you lose a WAN interface or if load balancing pushes a connection from one interface to another, it will break any existing tunnels with the current .ovpn configuration.

If the key word "float" is added to the .ovpn file then the server side IP address is allowed to change min-connection without the tunnel needing to be restarted.

Clearly in a single WAN environment this condition can never happen, but I don't see a downside to including this parameter in the file anyway.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2018-04-06 04:01 NickH New Issue
2018-04-08 12:14 user2 Status new => confirmed
2018-04-08 12:14 user2 Target Version => 7.5.0
2018-04-11 10:14 user2 Target Version 7.5.0 => 7.6.0 Updates
2018-04-11 10:18 user2 Target Version 7.6.0 Updates => 7.5.0 Updates
2018-10-30 18:17 user2 Target Version 7.5.0 Updates => 7.6.0
2018-11-05 20:25 user2 Status confirmed => resolved
2018-11-05 20:25 user2 Fixed in Version => 7.6.0
2018-11-05 20:25 user2 Resolution open => fixed
2018-11-05 20:25 user2 Assigned To => user2
2018-11-16 07:13 user2 Status resolved => confirmed
2018-11-16 07:13 user2 Fixed in Version 7.6.0 => 8.0.0 Beta 1
2018-11-16 07:13 user2 Target Version 7.6.0 => 8.0.0 Beta 1
2018-12-14 12:10 user2 Status confirmed => assigned
2018-12-14 12:10 user2 Assigned To user2 => tracker